<?xml version="1.0"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:o="urn:schemas-microsoft-com:office:office"
  xmlns:x="urn:schemas-microsoft-com:office:excel"
  xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:html="http://www.w3.org/TR/REC-html40">
  <Styles>
    <Style ss:ID="s22">
      <NumberFormat ss:Format="dd\ mmm\ yyyy"/>
  </Style>
  </Styles>
  <Worksheet ss:Name="Sheet1">
    <Table>
      <Row>
        <Cell><Data ss:Type="String">Valuation Firm</Data></Cell>
        <Cell><Data ss:Type="String">Invoice Number</Data></Cell>
        <Cell><Data ss:Type="String">Invoice Date</Data></Cell>
        <Cell><Data ss:Type="String">Creation Date</Data></Cell>
        <Cell><Data ss:Type="String">Status</Data></Cell>
        <Cell><Data ss:Type="String">Amount</Data></Cell>
      </Row>
      <% @invoices.each do |invoice| %>
        <Row>
          <Cell><Data ss:Type="String"><%= invoice.valuation_firm.company_name %></Data></Cell>
          <Cell><Data ss:Type="String"><%= invoice.display_invoice_number %></Data></Cell>
          <% if invoice.invoiced_at.nil? %>
            <Cell><Data ss:Type="String"></Data></Cell>
          <% else %>
            <Cell ss:StyleID="s22"><Data ss:Type="DateTime"><%= invoice.excel_invoiced_at %></Data></Cell>
          <% end %>
          <Cell ss:StyleID="s22"><Data ss:Type="DateTime"><%= invoice.excel_created_at %></Data></Cell>
          <Cell><Data ss:Type="String"><%= invoice.invoice_status.value %></Data></Cell>
          <Cell><Data ss:Type="String"><%= invoice.amount %></Data></Cell>
        </Row>
      <% end %>
    </Table>
  </Worksheet>
</Workbook>
